# Uses of Enum Class
org.apache.lucene.analysis.ja.dict.DictionaryBuilder.DictionaryFormat

Packages that use DictionaryBuilder.DictionaryFormat
Package
Description
org.apache.lucene.analysis.ja.dict
Kuromoji dictionary implementation.

- ## Uses of DictionaryBuilder.DictionaryFormat in org.apache.lucene.analysis.ja.dict

  Methods in org.apache.lucene.analysis.ja.dict that return DictionaryBuilder.DictionaryFormat
  Modifier and Type
  Method
  Description
  `static DictionaryBuilder.DictionaryFormat`
  DictionaryBuilder.DictionaryFormat.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DictionaryBuilder.DictionaryFormat[]`
  DictionaryBuilder.DictionaryFormat.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Methods in org.apache.lucene.analysis.ja.dict with parameters of type DictionaryBuilder.DictionaryFormat
  Modifier and Type
  Method
  Description
  `static void`
  DictionaryBuilder.`build(DictionaryBuilder.DictionaryFormat format, Path inputDir, Path outputDir, String encoding, boolean normalizeEntry)`